Subject: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-invalid-tlv-02: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Mon, 13 Jul 2020 07:39:55 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-lsr-isis-invalid-tlv-02: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I'm glad to see language clarifying error handling.  Thanks for the work on it.

Section 3.2.  Per “It is RECOMMENDED that implementations provide controls for
the enablement of behaviors that are not backward compatible”, I want to double
check that I’m understanding this  sentence correctly. RFC5304 provides
normative guidance that isn’t backward compatible with ISO10589. RFC6233
provide guidance that isn’t backward compatible with either RFC5304 or
ISO10589.  Is the initial sentence effectively saying that implementations
should support deployments in configurations that are not backward compatible
(i.e., those using the newer TLVs)?  As these changes are covering security
matters, I read “controls” in the cyber mitigation sense -- they prevent an
action, not enable one.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 13 Jul 2020 15:52:36 +0000

Roman -

Thanx for the review.
Inline.

> -----Original Message-----
> From: Lsr <[email-masked]> On Behalf Of Roman Danyliw via
> Datatracker
> Sent: Monday, July 13, 2020 7:40 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]; draft-
> [email-masked]; [email-masked]
> Subject: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-invalid-tlv-
> 02: (with COMMENT)
> 

[Les:] The recommendation is for implementations to provide control as to when the new (non-backwards compatible) behavior is used.
Without that, an implementation which adds support for (to use one example) sending the Purge Originator TLV in the presence of MD5 authentication would simply start sending it and risk the PDU not being accepted by implementations which had not yet added the support.

One way of reading this is that "including the POI TLV in purges w MD5 authentication" is "enablement" of a new feature. Another way of reading it might be "disablement" of the use of a new feature.
This seems to me to be a semantical distinction.

The recommendation to use "controls" also does not specify what the default behavior should be - that is up to the implementation.

   Les

> 
> 
> 
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 13 Jul 2020 16:03:52 +0000

Hi Les, 

On 7/13/20, 11:53 AM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

    Roman -

    Thanx for the review.
    Inline.

Since there was some confusion, maybe "configurable specification" would be clearer than "controls".

Thanks,
Acee

       Les

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 13 Jul 2020 16:23:32 +0000

Acee -

Inline.

> From: Acee Lindem (acee) <[email-masked]>
> Sent: Monday, July 13, 2020 9:04 AM
> To: Les Ginsberg (ginsberg) <[email-masked]>; Roman Danyliw
> <[email-masked]>; The IESG <[email-masked]>
> Subject: Re: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-invalid-
> tlv-02: (with COMMENT)
> 
> Hi Les,
> 
>     > Section 3.2.  Per “It is RECOMMENDED that implementations provide
> controls
>     > for
>     > the enablement of behaviors that are not backward compatible”, I want
> to
>     > double
>     [Les:] The recommendation is for implementations to provide control as to
> when the new (non-backwards compatible) behavior is used.
>     Without that, an implementation which adds support for (to use one
> example) sending the Purge Originator TLV in the presence of MD5
> authentication would simply start sending it and risk the PDU not being
> accepted by implementations which had not yet added the support.
> 
>     One way of reading this is that "including the POI TLV in purges w MD5
> authentication" is "enablement" of a new feature. Another way of reading it
> might be "disablement" of the use of a new feature.
>     The recommendation to use "controls" also does not specify what the
> default behavior should be - that is up to the implementation.
> 
[Les:] I will certainly wait for Roman's input, but to me the term "controls" means there is a way to control whether a particular behavior is used/not used. (An "on/off" switch comes to mind.)
Frankly, I don’t know what the term "configuration specification" means. Maybe if I worked with YANG more I would know. 😊

I am open to an alternate term if there really is confusion - but for me you haven't added clarity with your suggestion.

  Les

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 13 Jul 2020 16:38:04 +0000

On 7/13/20, 12:23 PM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

    Acee -

    Inline.

But I suggested "configurable specification"... I think this is clear and more formal than "configuration knob".

Thanks,
Acee

      Les

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 14 Jul 2020 03:43:00 +0000

Roman (and Acee) -

After a suggestion from Ben, I have reworded the sentence to read:

" When new protocol behaviors are specified that are not backwards
   compatible, it is RECOMMENDED that implementations provide controls
   for their enablement.  This serves to prevent interoperability issues
   and allow for non-disruptive introduction of the new functionality
   into an existing network."

Let me know if this resolves the concerns.

   Les

> Sent: Monday, July 13, 2020 9:38 AM
>     >     > Subject: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-
> invalid-
>     > tlv-
>     >     > 02: (with COMMENT)
>     >     >
>     >     > I'm glad to see language clarifying error handling.  Thanks for the work
> on
>     > it.
>     >     >
>     > Since there was some confusion, maybe "configurable specification"
> would
>     > be clearer than "controls".
>     >
>     [Les:] I will certainly wait for Roman's input, but to me the term "controls"
> means there is a way to control whether a particular behavior is used/not
> used. (An "on/off" switch comes to mind.)
>     Frankly, I don’t know what the term "configuration specification" means.
> Maybe if I worked with YANG more I would know. 😊
> 
>     I am open to an alternate term if there really is confusion - but for me you
> haven't added clarity with your suggestion.
> 
>       Les
> 
>     > Thanks,
>     > Acee
>     >
>     >        Les
>     >
>     >     >
>     >     >
>     >     >

---

From: Roman Danyliw <[email-masked]>
Date: Tue, 14 Jul 2020 11:15:05 +0000

Hi Les and Acee!

> From: Les Ginsberg (ginsberg) <[email-masked]>
> Sent: Monday, July 13, 2020 11:43 PM
> To: Acee Lindem (acee) <[email-masked]>; Roman Danyliw <[email-masked]>;
> The IESG <[email-masked]>
> Subject: RE: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-invalid-tlv-
> 02: (with COMMENT)
> 
> Roman (and Acee) -
> 

I appreciate the quick response.  No need to further debate the definition of "controls".  The proposal above resolves my concerns. Thank you!

Regards,
Roman

> > Cc: [email-masked]; [email-masked]; [email-masked];
> > draft- [email-masked]; [email-masked]
> >     > Cc: [email-masked]; [email-masked];
> > [email-masked];
> > draft-
> >     > Subject: Re: [Lsr] Roman Danyliw's No Objection on
> > draft-ietf-lsr-isis-
> > invalid-
> >     > tlv-02: (with COMMENT)
> >     >
> >     > Hi Les,
> >     >
> >     >     > Cc: [email-masked]; [email-masked];
> [email-masked];
> >     > draft-
> >     >     > provide guidance that isn’t backward compatible with either
> RFC5304
> > or
> > means there is a way to control whether a particular behavior is
> > used/not used. (An "on/off" switch comes to mind.)
> > But I suggested "configurable specification"... I think this is clear
> > and more formal than "configuration knob".
> >
> > Thanks,
> > Acee
> >
> >     I am open to an alternate term if there really is confusion - but
> > for me you haven't added clarity with your suggestion.
> >
> >       Les
> >
> >     > Thanks,
> >     > Acee
> >     >
> >     >        Les
> >     >
> >     >     >
> >     >     >
> >     >     >

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 14 Jul 2020 13:26:20 +0000

Hi Les, Roman, 

On 7/14/20, 7:15 AM, "Roman Danyliw" <[email-masked]> wrote:

    Hi Les and Acee!

This works for me.

Thanks,
Acee

    Regards,
    Roman

    > > draft-ietf-lsr-isis-invalid-
    > > tlv-02: (with COMMENT)
    > >
    > >
    > >